

set -ex



PASSFAIL="--passfail"
CONDA_CPLR=gcc
NTH=6
test -f $PREFIX/bin/psi4-path-advisor
test -f $PREFIX/share/cmake/psi4/psi4DepsCache.cmake
conda list
git clone https://github.com/psi4/psi4.git
cd psi4 && git checkout v1.6 && cd ..
printf "\n\n   <<  I.A psi4-dev@conda --> $CONDA_CPLR Psi4  >>\n\n\n"
cd psi4
PPAOUT="$(psi4-path-advisor --${CONDA_CPLR})"
eval ${PPAOUT}-${CONDA_CPLR} -DCMAKE_INSIST_FIND_PACKAGE_gau2grid=ON -DCMAKE_INSIST_FIND_PACKAGE_Libint2=ON -DCMAKE_INSIST_FIND_PACKAGE_pybind11=ON -DCMAKE_INSIST_FIND_PACKAGE_Libxc=ON -DCMAKE_INSIST_FIND_PACKAGE_qcelemental=ON -DCMAKE_INSIST_FIND_PACKAGE_qcengine=ON -DCMAKE_INSIST_FIND_PACKAGE_ambit=ON -DCMAKE_INSIST_FIND_PACKAGE_CheMPS2=ON -DCMAKE_INSIST_FIND_PACKAGE_dkh=ON -DCMAKE_INSIST_FIND_PACKAGE_ecpint=ON -DCMAKE_INSIST_FIND_PACKAGE_gdma=ON -DCMAKE_INSIST_FIND_PACKAGE_PCMSolver=ON -DCMAKE_INSIST_FIND_PACKAGE_simint=ON

cd ..
printf "\n\n   <<  II.A psi4-dev@conda --> Intel Psi4  >>\n\n\n"
cd psi4
PPAOUT="$(psi4-path-advisor --intel)"
source /psi/gits/software/intel/oneapi/setvars.sh intel64
eval ${PPAOUT}-intel -DCMAKE_INSIST_FIND_PACKAGE_gau2grid=ON -DCMAKE_INSIST_FIND_PACKAGE_Libint2=ON -DCMAKE_INSIST_FIND_PACKAGE_pybind11=ON -DCMAKE_INSIST_FIND_PACKAGE_Libxc=ON -DCMAKE_INSIST_FIND_PACKAGE_qcelemental=ON -DCMAKE_INSIST_FIND_PACKAGE_qcengine=ON -DCMAKE_INSIST_FIND_PACKAGE_ambit=ON -DCMAKE_INSIST_FIND_PACKAGE_CheMPS2=ON -DCMAKE_INSIST_FIND_PACKAGE_dkh=ON -DCMAKE_INSIST_FIND_PACKAGE_ecpint=ON -DCMAKE_INSIST_FIND_PACKAGE_gdma=ON -DCMAKE_INSIST_FIND_PACKAGE_PCMSolver=ON -DCMAKE_INSIST_FIND_PACKAGE_simint=ON

cd ..
printf "\n\n   <<  III.A psi4-dev@conda + psi4@conda  >>\n\n\n"
mkdir package && cd package
conda install psi4=1.6 -c psi4/label/dev -y
python $PREFIX/share/psi4/scripts/test_threading.py --passfail --ldd
python $PREFIX/share/psi4/scripts/test_threading.py ${PASSFAIL} --psiapi -n${NTH}
python $PREFIX/share/psi4/scripts/test_threading.py ${PASSFAIL} --psithon -n${NTH}
printf "\n\n   <<  III.B psi4-dev@conda + psi4@conda --> $CONDA_CPLR plugin  >>\n\n\n"
PLUG="plugdfmp2"
psi4 --plugin-name $PLUG --plugin-template dfmp2
cd $PLUG && `psi4 --plugin-compile` && make && cd ..
PYTHONPATH=. python $PREFIX/share/psi4/scripts/test_threading.py --plugin-dfmp2 --module="$PLUG" -n${NTH}
exit 0
